﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadTreeListRadButtonToggle.aspx.cs" Inherits="RadTreeListRadButtonToggle" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function SetVisibility(sender, args, index) {
                var treeList = $find('<%= RadTreeList1.ClientID %>');
                var itemEl = treeList.getItem(index).get_element();

                var firstDiv = $telerik.findElement(itemEl, "firstDiv");
                var secondDiv = $telerik.findElement(itemEl, "secondDiv");

                var condition = args.get_currentToggleState().get_text() == "New";

                firstDiv.style.display = condition ? "none" : "";
                secondDiv.style.display = condition ? "" : "none";
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadTreeList ID="RadTreeList1" runat="server" Width="1200px"
            OnNeedDataSource="RadTreeList1_NeedDataSource" DataKeyNames="RecordID"
            ParentDataKeyNames="ParentID">
            <Columns>
                <telerik:TreeListEditCommandColumn UniqueName="EditCommandColumnName">
                </telerik:TreeListEditCommandColumn>
                <telerik:TreeListTemplateColumn UniqueName="TemplateColumnName">
                    <ItemTemplate>
                        <div runat="server" id="firstDiv" style="width: 50px; height: 50px; background-color: lightblue;"></div>
                        <div runat="server" id="secondDiv" style="width: 50px; height: 50px; background-color: lime; display: none;"></div>
                        <br />
                        <br />
                        <telerik:RadButton ID="RadButton2" runat="server" ButtonType="LinkButton" Checked="True"
                            Skin="Metro" ToggleType="CustomToggle"
                            OnClientToggleStateChanged='<%# "function(s,a){SetVisibility(s,a,"+Container.DisplayIndex+");}" %>'
                            AutoPostBack="False">
                            <ToggleStates>
                                <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckboxChecked" Text="Existing" />
                                <telerik:RadButtonToggleState PrimaryIconCssClass="rbToggleCheckbox" Text="New" />
                            </ToggleStates>
                        </telerik:RadButton>
                    </ItemTemplate>
                </telerik:TreeListTemplateColumn>
            </Columns>
        </telerik:RadTreeList>
    </form>
</body>
</html>
